<?php
/**
 * Pagadito.
 * 
 * Pagadito Payment Extension v2.0.0
 * 
 * Este programa es Software Libre: Usted puede redistribuirlo y/o modificarlo
 * bajo los terminos de la Licencia Publica General Reducida de GNU (GNU Lesser
 * Public Licence), tal como se encuentra publicada por la Free Software
 * Foundation, ya sea por su version 3 o cualquier otra version superior.
 * 
 * Este programa es distribuido en el espiritu de que sea util, pero SIN NINGUNA
 * GARANTIA; sin tampoco garantia implicita de MERCANTIBILIDAD o ADAPTABILIDAD
 * PARA UN USO PARTICULAR. Vea la licencia GNU LGPL para mayores detalles.
 * 
 * @package     pagadito-v2.0.0
 * @copyright   Copyright (c) 2017 - Pagadito, S. de R.L. (https://www.pagadito.com)
 * @license     http://www.gnu.org/licenses/lgpl.html
 * @author      Pagadito Development Team <developers@pagadito.com>
 */
class ControllerPaymentPagadito extends Controller {
    
    private $error = array();

    public function index() {
        
        $this->load->language('payment/pagadito');
        
        $this->document->setTitle($this->language->get('heading_title'));
        
        $this->load->model('setting/setting');
        $this->load->model('extension/extension');
        
        $this->error = array();
        
        /* VALIDATE AND SAVE THE NEW CONFIGURATION */
        if (($this->request->server['REQUEST_METHOD'] == 'POST') && $this->validate()) {
            $this->model_setting_setting->editSetting('pagadito', $this->request->post);

            $this->session->data['success'] = $this->language->get('text_success');

            $this->response->redirect($this->url->link('extension/extension', 'token=' . $this->session->data['token'], 'SSL'));
        } else {
                $data['error'] = @$this->error;
        }
        
        /* LOAD LABELS LANGUAGE */
        $data['heading_title'] = $this->language->get('heading_title');

        $data['text_edit'] = $this->language->get('text_edit');
        $data['text_enabled'] = $this->language->get('text_enabled');
        $data['text_disabled'] = $this->language->get('text_disabled');
        $data['text_yes'] = $this->language->get('text_yes');
        $data['text_no'] = $this->language->get('text_no');
        $data['text_order_status'] = $this->language->get('text_order_status');

        $data['entry_uid'] = $this->language->get('entry_uid');
        $data['entry_wsk'] = $this->language->get('entry_wsk');
        $data['entry_test'] = $this->language->get('entry_test');
        $data['entry_total'] = $this->language->get('entry_total');
        $data['entry_status'] = $this->language->get('entry_status');

        $data['entry_processed_status'] = $this->language->get('entry_processed_status');
	    $data['entry_canceled_status'] = $this->language->get('entry_canceled_status');
        $data['entry_completed_status'] = $this->language->get('entry_completed_status');
        $data['entry_failed_status'] = $this->language->get('entry_failed_status');

        $data['button_save'] = $this->language->get('button_save');
        $data['button_cancel'] = $this->language->get('button_cancel');
        
        /* NAVIGATION */
        $data['breadcrumbs'] = array(
            array(
                'text' => $this->language->get('text_home'),
                'href' => $this->url->link('common/dashboard', 'token=' . $this->session->data['token'], 'SSL'),
                'separator' => false
            ),
            array(
                'text' => $this->language->get('text_payment'),
                'href' => $this->url->link('extension/payment', 'token=' . $this->session->data['token'], 'SSL'),
                'separator' => ' :: '
            ),
            array(
                'text' => $this->language->get('heading_title'),
                'href' => $this->url->link('payment/pagadito', 'token=' . $this->session->data['token'], 'SSL'),
                'separator' => ' :: '
            ),
        );
        /* ACTION BUTTONS */
        $data['action'] = $this->url->link('payment/pagadito', 'token=' . $this->session->data['token'], 'SSL');

        $data['cancel'] = $this->url->link('extension/extension', 'token=' . $this->session->data['token'], 'SSL');

        /* POST OR CONFIGURATION SAVED */
        if (isset($this->request->post['pagadito_uid'])) {
            $data['pagadito_uid'] = $this->request->post['pagadito_uid'];
        } else {
            $data['pagadito_uid'] = $this->config->get('pagadito_uid');
        }
        if (isset($this->request->post['pagadito_wsk'])) {
            $data['pagadito_wsk'] = $this->request->post['pagadito_wsk'];
        } else {
            $data['pagadito_wsk'] = $this->config->get('pagadito_wsk');
        }
        if (isset($this->request->post['pagadito_test'])) {
            $data['pagadito_test'] = $this->request->post['pagadito_test'];
        } else {
            $data['pagadito_test'] = $this->config->get('pagadito_test');
        }
        if (isset($this->request->post['pagadito_total'])) {
            $data['pagadito_total'] = $this->request->post['pagadito_total'];
        } else {
            $data['pagadito_total'] = $this->config->get('pagadito_total');
        }
        if (isset($this->request->post['pagadito_status'])) {
            $data['pagadito_status'] = $this->request->post['pagadito_status'];
        } else {
            $data['pagadito_status'] = $this->config->get('pagadito_status');
        }
        /* ORDER STATUS */
        if (isset($this->request->post['pagadito_processed_status_id'])) {
            $data['pagadito_processed_status_id'] = $this->request->post['pagadito_processed_status_id'];
        } else {
            $data['pagadito_processed_status_id'] = $this->config->get('pagadito_processed_status_id');
        }
        if (isset($this->request->post['pagadito_canceled_status_id'])) {
            $data['pagadito_canceled_status_id'] = $this->request->post['pagadito_canceled_status_id'];
        } else {
            $data['pagadito_canceled_status_id'] = $this->config->get('pagadito_canceled_status_id');
        }
        if (isset($this->request->post['pagadito_completed_status_id'])) {
            $data['pagadito_completed_status_id'] = $this->request->post['pagadito_completed_status_id'];
        } else {
            $data['pagadito_completed_status_id'] = $this->config->get('pagadito_completed_status_id');
        }
        if (isset($this->request->post['pagadito_failed_status_id'])) {
            $data['pagadito_failed_status_id'] = $this->request->post['pagadito_failed_status_id'];
        } else {
            $data['pagadito_failed_status_id'] = $this->config->get('pagadito_failed_status_id');
        }

        /* ERROR MESSAGES */
        if (isset($this->error['warning'])) {
            $data['error_warning'] = $this->error['warning'];
        } else {
            $data['error_warning'] = '';
        }
        if (isset($this->error['uid'])) {
            $data['error_uid'] = $this->error['uid'];
        } else {
            $data['error_uid'] = '';
        }
        if (isset($this->error['wsk'])) {
            $data['error_wsk'] = $this->error['wsk'];
        } else {
            $data['error_wsk'] = '';
        }
        if (isset($this->error['apipg'])) {

            if ($data['pagadito_test']) {
                $data['error_apipg'] = $this->error['apipg'] . $this->language->get('error_validation_sandbox');
            } else {
                $data['error_apipg'] = $this->error['apipg'] . $this->language->get('error_validation');
            }
        } else {
            $data['error_apipg'] = '';
        }

        $this->load->model('localisation/order_status');

        $data['order_statuses'] = $this->model_localisation_order_status->getOrderStatuses();
        
        $data['token'] = $this->session->data['token'];

        $data['header'] = $this->load->controller('common/header');
        $data['column_left'] = $this->load->controller('common/column_left');
        $data['footer'] = $this->load->controller('common/footer');
        
        $this->response->setOutput($this->load->view('payment/pagadito.tpl', $data));
    }

    private function validate() {
        if (!$this->user->hasPermission('modify', 'payment/pagadito')) {
            $this->error['warning'] = $this->language->get('error_permission');
        }

        if (!$this->request->post['pagadito_uid']) {
            $this->error['uid'] = $this->language->get('error_uid');
        }
        if (!$this->request->post['pagadito_wsk']) {
            $this->error['wsk'] = $this->language->get('error_wsk');
        }

        if (!$this->error) {
            /* VALIDATE UID & WSK WITH THE PAGADITO API */
            $this->load->library('Pagadito');
            $pg = new Pagadito($this->request->post['pagadito_uid'], $this->request->post['pagadito_wsk']);
            if ($this->request->post['pagadito_test']) {
                $pg->mode_sandbox_on();
            }
            if ($pg->connect()) {
                return true;
            } else {
                $msg_pg = $pg->get_rs_code() . ': ' . $pg->get_rs_message();
                if ($this->request->post['pagadito_test']) {
                    $msg_pg = 'Sandbox ' . $msg_pg;
                }
                $this->error['apipg'] = $msg_pg;
                $this->log->write('ADMIN - ' . $msg_pg);
            }
        }
        return false;
    }

}

?>
