<?php
/**
 * Pagadito.
 * 
 * Pagadito Payment Extension v2.0.0
 * 
 * Este programa es Software Libre: Usted puede redistribuirlo y/o modificarlo
 * bajo los terminos de la Licencia Publica General Reducida de GNU (GNU Lesser
 * Public Licence), tal como se encuentra publicada por la Free Software
 * Foundation, ya sea por su version 3 o cualquier otra version superior.
 * 
 * Este programa es distribuido en el espiritu de que sea util, pero SIN NINGUNA
 * GARANTIA; sin tampoco garantia implicita de MERCANTIBILIDAD o ADAPTABILIDAD
 * PARA UN USO PARTICULAR. Vea la licencia GNU LGPL para mayores detalles.
 * 
 * @package     pagadito-v2.0.0
 * @copyright   Copyright (c) 2017 - Pagadito, S. de R.L. (https://www.pagadito.com)
 * @license     http://www.gnu.org/licenses/lgpl.html
 * @author      Pagadito Development Team <developers@pagadito.com>
 */
?>
<?php echo $header; ?><?php echo $column_left; ?>
<div id="content">
    <div class="page-header">
        <div class="container-fluid">
            <div class="pull-right">
                <button type="submit" form="form" data-toggle="tooltip" title="<?php echo $button_save; ?>" class="btn btn-primary"><i class="fa fa-save"></i></button>
                <a href="<?php echo $cancel; ?>" data-toggle="tooltip" title="<?php echo $button_cancel; ?>" class="btn btn-default"><i class="fa fa-reply"></i></a>
            </div>
            <h1><?php echo $heading_title; ?></h1>
            <ul class="breadcrumb">
                <?php foreach ($breadcrumbs as $breadcrumb) { ?>
                <li><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a></li>
                <?php } ?>
            </ul>
        </div>
    </div>
    <div class="container-fluid">
        <?php if ($error_apipg) { ?>
        <div class="alert alert-danger"><i class="fa fa-exclamation-circle"></i> <?php echo $error_apipg;; ?>
            <button type="button" class="close" data-dismiss="alert">&times;</button>
        </div>
        <?php } ?>
        <div class="panel panel-default">
            <div class="panel-heading">
                <h3 class="panel-title"><i class="fa fa-pencil"></i> <?php echo $text_edit; ?></h3>
            </div>
            <div class="panel-body">
                <form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data" id="form" class="form-horizontal">
                    <div class="form-group required">
                        <label class="col-sm-2 control-label" for="pagadito_uid">
                            <?php echo $entry_uid; ?>
                        </label>
                        <div class="col-sm-10">
                            <input type="text" name="pagadito_uid" value="<?php echo $pagadito_uid; ?>" class="form-control" />
                            <?php if ($error_uid) { ?>
                            <div class="text-danger"><?php echo $error_uid; ?></div>
                            <?php } ?>
                        </div>
                    </div>
                    <div class="form-group required">
                        <label class="col-sm-2 control-label" for="pagadito_wsk">
                            <?php echo $entry_wsk; ?>
                        </label>
                        <div class="col-sm-10">
                            <input type="text" name="pagadito_wsk" value="<?php echo $pagadito_wsk; ?>" class="form-control" />
                            <?php if ($error_wsk) { ?>
                            <div class="text-danger"><?php echo $error_wsk; ?></div>
                            <?php } ?>
                        </div>
                    </div>
                    <div class="form-group required">
                        <label class="col-sm-2 control-label" for="pagadito_test">
                            <?php echo $entry_test; ?>
                        </label>
                        <div class="col-sm-10">
                            <?php if ($pagadito_test) { ?>
                            <input type="radio" name="pagadito_test" value="1" checked="checked" class="radio-inline" />
                            <?php echo $text_yes; ?>
                            <input type="radio" name="pagadito_test" value="0" class="radio-inline" />
                            <?php echo $text_no; ?>
                            <?php } else { ?>
                            <input type="radio" name="pagadito_test" value="1" class="radio-inline" />
                            <?php echo $text_yes; ?>
                            <input type="radio" name="pagadito_test" value="0" checked="checked" class="radio-inline" />
                            <?php echo $text_no; ?>
                            <?php } ?>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-2 control-label" for="pagadito_total">
                            <?php echo $entry_total; ?>
                        </label>
                        <div class="col-sm-10">
                            <input type="text" name="pagadito_total" value="<?php echo $pagadito_total; ?>" class="form-control" />
                        </div>
                    </div>
                    <div class="form-group required">
                        <label class="col-sm-2 control-label" for="pagadito_status">
                            <?php echo $entry_status; ?>
                        </label>
                        <div class="col-sm-10">
                            <select name="pagadito_status" class="form-control">
                                <?php if ($pagadito_status) { ?>
                                <option value="1" selected="selected"><?php echo $text_enabled; ?></option>
                                <option value="0"><?php echo $text_disabled; ?></option>
                                <?php } else { ?>
                                <option value="1"><?php echo $text_enabled; ?></option>
                                <option value="0" selected="selected"><?php echo $text_disabled; ?></option>
                                <?php } ?>
                            </select>
                        </div>
                    </div>
                    <div class="form-group">
                        <div class="col-sm-12" style="padding: 1%;background-color:#DBDBDB;color:#003A88">
                            <?php echo $text_order_status; ?>
                        </div>
                    </div>
                    <div class="form-group required">
                        <label class="col-sm-2 control-label" for="pagadito_processed_status_id">
                            <?php echo $entry_processed_status; ?>
                        </label>
                        <div class="col-sm-10">
                            <select name="pagadito_processed_status_id" class="form-control">
                                <?php foreach ($order_statuses as $order_status) { ?>
                                <?php if ($order_status['order_status_id'] == $pagadito_processed_status_id) { ?>
                                <option value="<?php echo $order_status['order_status_id']; ?>" selected="selected"><?php echo $order_status['name']; ?></option>
                                <?php } else { ?>
                                <option value="<?php echo $order_status['order_status_id']; ?>"><?php echo $order_status['name']; ?></option>
                                <?php } ?>
                                <?php } ?>
                            </select>
                        </div>
                    </div>
                    <div class="form-group required">
                        <label class="col-sm-2 control-label" for="pagadito_canceled_status_id">
                            <?php echo $entry_canceled_status; ?>
                        </label>
                        <div class="col-sm-10">
                            <select name="pagadito_canceled_status_id" class="form-control">
                                <?php foreach ($order_statuses as $order_status) { ?>
                                <?php if ($order_status['order_status_id'] == $pagadito_canceled_status_id) { ?>
                                <option value="<?php echo $order_status['order_status_id']; ?>" selected="selected"><?php echo $order_status['name']; ?></option>
                                <?php } else { ?>
                                <option value="<?php echo $order_status['order_status_id']; ?>"><?php echo $order_status['name']; ?></option>
                                <?php } ?>
                                <?php } ?>
                            </select>
                        </div>
                    </div>
                    <div class="form-group required">
                        <label class="col-sm-2 control-label" for="pagadito_failed_status_id">
                            <?php echo $entry_failed_status; ?>
                        </label>
                        <div class="col-sm-10">
                            <select name="pagadito_failed_status_id" class="form-control">
                                <?php foreach ($order_statuses as $order_status) { ?>
                                <?php if ($order_status['order_status_id'] == $pagadito_failed_status_id) { ?>
                                <option value="<?php echo $order_status['order_status_id']; ?>" selected="selected"><?php echo $order_status['name']; ?></option>
                                <?php } else { ?>
                                <option value="<?php echo $order_status['order_status_id']; ?>"><?php echo $order_status['name']; ?></option>
                                <?php } ?>
                                <?php } ?>
                            </select>
                        </div>
                    </div>
                    <div class="form-group required">
                        <label class="col-sm-2 control-label" for="pagadito_completed_status_id">
                            <?php echo $entry_completed_status; ?>
                        </label>
                        <div class="col-sm-10">
                            <select name="pagadito_completed_status_id" class="form-control">
                                <?php foreach ($order_statuses as $order_status) { ?>
                                <?php if ($order_status['order_status_id'] == $pagadito_completed_status_id) { ?>
                                <option value="<?php echo $order_status['order_status_id']; ?>" selected="selected"><?php echo $order_status['name']; ?></option>
                                <?php } else { ?>
                                <option value="<?php echo $order_status['order_status_id']; ?>"><?php echo $order_status['name']; ?></option>
                                <?php } ?>
                                <?php } ?>
                            </select>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
<?php echo $footer; ?> 
