<?php
/**
 * Pagadito.
 * 
 * Pagadito Payment Extension v2.0.0
 * 
 * Este programa es Software Libre: Usted puede redistribuirlo y/o modificarlo
 * bajo los terminos de la Licencia Publica General Reducida de GNU (GNU Lesser
 * Public Licence), tal como se encuentra publicada por la Free Software
 * Foundation, ya sea por su version 3 o cualquier otra version superior.
 * 
 * Este programa es distribuido en el espiritu de que sea util, pero SIN NINGUNA
 * GARANTIA; sin tampoco garantia implicita de MERCANTIBILIDAD o ADAPTABILIDAD
 * PARA UN USO PARTICULAR. Vea la licencia GNU LGPL para mayores detalles.
 * 
 * @package     pagadito-v2.0.0
 * @copyright   Copyright (c) 2017 - Pagadito, S. de R.L. (https://www.pagadito.com)
 * @license     http://www.gnu.org/licenses/lgpl.html
 * @author      Pagadito Development Team <developers@pagadito.com>
 */
class ModelPaymentPagadito extends Model {

    private $pg;

    public function getMethod($address, $total) {
        $this->load->language('payment/pagadito');
        $this->load->model('checkout/order');
        
        $status = true;
        $supported_currencies = array('USD', 'GTQ', 'HNL', 'NIO', 'CRC', 'PAB', 'DOP');
        if ($this->config->get('pagadito_total') > $total) {
            $status = false;
            $this->log->write('PAGADITO :: DISABLED:: EL MONTO A PROCESAR, ES MENOR A LA CONFIGURACION DE PAGADITO');
        } elseif (!in_array(strtoupper($this->session->data['currency']), $supported_currencies)) {
            $status = false;
            $this->log->write('PAGADITO :: DISABLED:: MONEDA NO SOPORTADA ' . $this->currency->getCode());
        }elseif (!$this->connectPagadito()) {
            $status = false;
            $this->log->write('PAGADITO :: DISABLED:: NO HAY CONEXION - ' . $this->pg->get_rs_code() . ' ' . $this->pg->get_rs_message());
        }
        $method_data = array();
        if ($status) {
            $method_data = array(
                'code' => 'pagadito',
                'title' => $this->language->get('text_title'),
                'terms' => '',
                'sort_order' => $this->config->get('pagadito_sort_order')
            );
        }
        return $method_data;
    }

    private function connectPagadito() {
        $this->load->library('Pagadito');
        $this->pg = new Pagadito($this->config->get('pagadito_uid'), $this->config->get('pagadito_wsk'));
        if ($this->config->get('pagadito_test')) {
            $this->pg->mode_sandbox_on();
        }
        if ($this->pg->connect()) {
            return true;
        } else {
            return false;
        }
    }

}

?>
